﻿using Dto;
using Entities;
using Model;

namespace Shared.Mapper;

public static class SuccessMapper
{
    public static Success FromDtoToModel(this SuccessDTO dto)
    {
        return new Success(dto.UserId, dto.InquiryId, dto.IsFinished);
    }

    public static Success FromEntityToModel(this SuccessEntity ent)
    {
        return new Success(ent.UserId, ent.InquiryId, ent.IsFinished);
    }

    public static SuccessDTO FromModelToDto(this Success suc)
    {
        return new SuccessDTO(suc.UserId, suc.InquiryId, suc.IsFinished);
    }

    public static SuccessDTO FromEntityToDto(this SuccessEntity ent)
    {
        return new SuccessDTO(ent.UserId, ent.InquiryId, ent.IsFinished);
    }

    public static SuccessEntity FromDtoToEntity(this SuccessDTO dto)
    {
        return new SuccessEntity(dto.UserId, new UserEntity
            {
                Id = dto.UserId
            }, 
            dto.InquiryId,
            new InquiryEntity
            {
                Id = dto.InquiryId
            },
            dto.IsFinished);
    }

    public static SuccessEntity FromModelToEntity(this Success suc)
    {
        return new SuccessEntity(suc.UserId, new UserEntity
            {
                Id = suc.UserId
            }, 
            suc.InquiryId,
            new InquiryEntity
            {
                Id = suc.InquiryId
            },
            suc.IsFinished);
    }
}